use P4::test;
use P4::TM { DATA_DIR => 'self' };
use File::Copy;
use JSON::PP;
use Data::Dumper;

`p4 client -o | p4 client -i`;
write_file $_, $_ x $_ for 0 .. 3;
`p4 add ...`;
`p4 submit -d files`;

copy "$script_abspath.53.lua", 'p4script.53.lua';
$ENV{ P4EXTENSIONS } = 'p4script';

local $Data::Dumper::Sortkeys  = 1;
local $Data::Dumper::Quotekeys = 0;
local $Data::Dumper::Useqq     = 1;
local $Data::Dumper::Terse     = 1;

tm Dumper( decode_json `p4 JSON_output files //...` ) =~ s/\d{10,10}/TIMEMASK/gr;

__DATA__
[['20'],
[
  'Dumper( decode_json `p4 JSON_output files //...` ) =~ s/\\d{10,10}/TIMEMASK/gr',
  '
[
  {
    action => "add",
    change => 1,
    depotFile => "//depot/0",
    rev => 1,
    time => "TIMEMASK",
    type => "text"
  },
  {
    action => "add",
    change => 1,
    depotFile => "//depot/1",
    rev => 1,
    time => "TIMEMASK",
    type => "text"
  },
  {
    action => "add",
    change => 1,
    depotFile => "//depot/2",
    rev => 1,
    time => "TIMEMASK",
    type => "text"
  },
  {
    action => "add",
    change => 1,
    depotFile => "//depot/3",
    rev => 1,
    time => "TIMEMASK",
    type => "text"
  }
]
',
  0
]
]
